#include <iostream>

#include <nlohmann/json.hpp>
#include <libassert/assert.hpp>

#include "httplib.hpp"
#include "version.hpp"

void crashy() {
    ASSERT(false,"SUCCESS!");
}

int main() {
    std::cout << "ipdemo version: " << ipdemo::VERSION << std::endl;
    std::cout << std::endl;
    std::cout << "Retrieving IP address..." << std::endl;

    httplib::Client cli("http://ipinfo.io");
    auto res = cli.Get("/ip");

    ASSERT(res->status == 200, "Failed to get IP");

    nlohmann::json j;
    j["ip"] = res->body;
    j["status"] = res->status;

    std::cout << j.dump(4) << std::endl;

    std::cout << "Done" << std::endl;

    crashy();

    return 0;
}
